Class PostgreSQLTableHandler
java.lang.Object
org.forgerock.openidm.repo.jdbc.impl.GenericTableHandler
org.forgerock.openidm.repo.jdbc.impl.PostgreSQLTableHandler
- All Implemented Interfaces:
TableHandler
Postgres-specific generic table handler.
-
Nested Class Summary
Nested classes/interfaces inherited from class org.forgerock.openidm.repo.jdbc.impl.GenericTableHandler
GenericTableHandler.QueryDefinition -
Field Summary
Fields inherited from class org.forgerock.openidm.repo.jdbc.impl.GenericTableHandler
DEFAULT_SEARCHABLE_LENGTH -
Constructor Summary
ConstructorsConstructorDescriptionPostgreSQLTableHandler(org.forgerock.json.JsonValue tableConfig, String dbSchemaName, org.forgerock.json.JsonValue queriesConfig, org.forgerock.json.JsonValue commandsConfig, int maxBatchSize, SQLExceptionHandler sqlExceptionHandler) Construct a table handler for Postgres using Postgres-specific json-handling -
Method Summary
Modifier and TypeMethodDescriptionprotected Map<GenericTableHandler.QueryDefinition,String> renderQueryFilter(org.forgerock.util.query.QueryFilter<org.forgerock.json.JsonPointer> filter, Map<String, Object> replacementTokens, Map<String, Object> params) Render and SQL SELECT statement with placeholders for the given query filter.Methods inherited from class org.forgerock.openidm.repo.jdbc.impl.GenericTableHandler
command, create, delete, getPreparedStatement, isErrorType, isRetryable, prepareSortKeyStatements, query, queryIdExists, read, readForUpdate, toString, update
-
Constructor Details
-
PostgreSQLTableHandler
public PostgreSQLTableHandler(org.forgerock.json.JsonValue tableConfig, String dbSchemaName, org.forgerock.json.JsonValue queriesConfig, org.forgerock.json.JsonValue commandsConfig, int maxBatchSize, SQLExceptionHandler sqlExceptionHandler) Construct a table handler for Postgres using Postgres-specific json-handling
-
-
Method Details
-
initializeQueryMap
- Overrides:
initializeQueryMapin classGenericTableHandler
-
renderQueryFilter
public String renderQueryFilter(org.forgerock.util.query.QueryFilter<org.forgerock.json.JsonPointer> filter, Map<String, Object> replacementTokens, Map<String, Object> params) Description copied from class:GenericTableHandlerRender and SQL SELECT statement with placeholders for the given query filter.- Specified by:
renderQueryFilterin interfaceTableHandler- Overrides:
renderQueryFilterin classGenericTableHandler- Parameters:
filter- the query filterreplacementTokens- a map to store any replacement tokensparams- a map containing query parameters- Returns:
- an SQL SELECT statement
-